#服务端口
server:
  port: 8848
  servlet:
    context-path: /tradeV4
#UPLOAD FILE 上传文件
upload:
  #文件存储磁盘
     disk: D://sopFile/
datasource:
    master:
      type: com.alibaba.druid.pool.DruidDataSource
      url: jdbc:mysql://localhost:3306/factoring_trade_v4?characterEncoding=utf8&useSSL=false&serverTimezone=Asia/Shanghai&rewriteBatchedStatements=true
      username: root
      password: factoring_trade_20121210
      driver-class-name: com.mysql.cj.jdbc.Driver
      initialSize: 5
      minIdle: 5
      maxActive: 20
      maxWait: 60000
      timeBetweenEvictionRunsMillis: 60000
      validationQuery: SELECT 1
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      poolPreparedStatements: true
      maxPoolPreparedStatementPerConnectionSize: 20
      filters: stat
      connectionProperties: druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000
#LOG
logging:
  level:
    com.inkasso: debug
  config: classpath:logback-spring.xml
#Redis缓存服务配置
spring:
  servlet:
    multipart:
      max-file-size: 30485760
      max-request-size: 15485760
  main:
    allow-circular-references: true  #允许循环引用
  #邮箱服务器配置
  mail:
    host: smtp.mxhichina.com
    port: 465
    username: dev@changan-inkasso.com
    password: Caykdev923
    protocol: smtp
    test-connection: true
    default-encoding: UTF-8
    properties:
      mail.smtp.auth: true
      mail.smtp.starttls.enable: true
      mail.smtp.starttls.required: true
      mail.smtp.ssl.enable: true
    from: dev@changan-inkasso.com

#Redis缓存服务配置
redis:
  #最大连接数
  maxTotal: 100
  #最小空闲连接数
  maxIdle: 0
  #每次逐出检查时 逐出的最大数目
  numTestsPerEvictionRun: 20
  #对象空闲多久后逐出
  softMinEvictableIdleTimeMillis: 10000
  #逐出连接的最小空闲时间
  minEvictableIdleTimeMillis: 1800000
  #逐出扫描的时间间隔(毫秒)
  timeBetweenEvictionRunsMillis: 30000
  #连接时的最大等待毫秒数
  maxWaitMillis: 2000
  #在获取连接的时候检查有效性
  testOnBorrow: true
  #在空闲时检查有效性
  testWhileIdle: true
  #服务地址
  url: 127.0.0.1
  #端口(redis默认6379端口，如本地redis.conf文件未改动端口号，无需修改)
  port: 6379
  #数据库索引号
  indexDB: 2

kafubao:
  rateLimiter: 50000
  limiterTime: 5
  maxTenantSize: 2  #个人可认证的的最大企业个数
  file:
    resourcePath: /upload/**
    storagePath: D://kafubaoFile//
  not-login:
    url:
      - login/weixin/*      #微信登录
      - login/fastRegister  #微信快速注册
      - entitygenerator/*     #代码生成器
      - entitygenerator/*/*   #代码生成器
      - entitygenerator/*/*/*   #代码生成器
      - codegenerator         #代码生成器
      - codegenerator/*/*
      - tradeV4/login/userLogin        #pc管理端登录
      - tradeV4/user/register          #用户注册
      - tradeV4/common/sms/verification #发送验证码
  authentication: true
  freeNum: 1

codegeneration:
  filePath:  D:/codegeneration

fdd:
  contractUrl: "http://192.168.125.194:8888/#/register"
  caykCustomId: "8210513B14FE854DF1061E2D54665AF9"
  yhrzzpCustomId: "2291B7F84D6340530A5469FB6FC15BF3"
  registerUrl: "http://192.168.3.6:8870/fdd/accountRegister"
  authUrl: "http://192.168.3.6:8870/fdd/getAuthAddress/sop"
  removeAuthInfoUrl: "http://192.168.3.6:8870/fdd/removeAuthInfoUrl"
  authUrlV3: "http://192.168.3.6:8870/fdd/v3/getAuthAddress"
  authUrlV3PersonalFaceRecognition: "http://192.168.3.6:8870/fdd/v3/getAuthAddress/face/recognition"
  uploadContractUrl: "http://192.168.3.6:8870/fdd/uploadContract"
  batchSignUrl: "http://192.168.3.6:8870/fdd/manualBatchSign"
  batchSignUrlSearchLocation: "http://192.168.3.6:8870/fdd/manualBatchSign/searchLocation"
  authSignUrl: "http://192.168.3.6:8870/fdd/autoSign"
  downloadContractUrl: "http://192.168.3.6:8870/fdd/downloadContract"
  filedContractUrl: "http://192.168.3.6:8870/fdd/contractFiled"
  beforeAutoSignUrl: "http://192.168.3.6:8870/fdd/before_autoSign"
  shortUrl: "http://192.168.3.6:8870/fdd/short_url"
  reportUrl: "http://192.168.3.6:8870/fdd/compliance_contract_report"
  authInfoUrl: "http://192.168.3.6:8870/fdd/getAuthInfo"
  getAuthInfoDetail: "http://192.168.3.6:8870/fdd/getAuthInfoDetail"
  signInfoUrl: "http://192.168.3.6:8870/fdd/getSignInfo"

sop:
  getBusinessByKeyWordUrl: http://192.168.2.51:8868/api/trade/findBusinessName
  comprehensiveRiskInvestigationUrl: http://192.168.2.51:8868/api/trade/comprehensiveRiskInvestigation
  judgmentDocumentsUrl: http://192.168.2.51:8868/api/trade/judgmentDocuments
  dongjiangaoRisksUrl: http://192.168.2.51:8868/api/trade/dongjiangaoRisk
  pubStockUrl: http://192.168.2.51:8868/api/trade/pubStock
  addBusinessUrl: http://192.168.2.51:8868/api/trade/addBusiness
  sixSearchUrl: http://192.168.2.51:8868/api/trade/sixSearch
  twoSearchUrl: http://192.168.2.51:8868/api/trade/twoSearch
  getChangesUrl: http://192.168.2.51:8868/api/trade/getChanges
  getBusinesssScoreUrl: http://192.168.2.51:8868/api/trade/getBusinesssScore

trade:
  biddingManagementStartProcessUrl: http://localhost:8888/api/biddingManagement/startProcess
  biddingManagementHandleProcessUrl: http://localhost:8888/api/biddingManagement/handleProcess
  supplierStartProcessUrl: http://192.168.2.51:8888/api/supplier/startProcess
  completeVideoDueDiligenceAppointmentUrl: http://192.168.2.51:8888/api/supplier/completeVideoDueDiligenceAppointment
  startProjectProcessUrl: http://192.168.2.51:8888/api/startProjectProcess
  startProjectCoreEnterpriseProcessUrl: http://192.168.2.51:8888/api/startProjectCoreEnterpriseProcess
  electronicSignaturePersonFindByIdUrl: http://localhost:8868/electronic/signature/personal/findByIdForC
  billUnitPriceAdjust: http://localhost:8888/bill/unitPriceAdjust
  finalStatementsign: http://localhost:8888/bill/finalStatementsign
  getAcceptanceGoods: http://localhost:8888/bill/getAcceptanceGoods
  calculation: http://localhost:8888/bill/calculation
  downloadPdf: http://localhost:8888/bill/downloadPdf
  billAutoSign: http://localhost:8868/bill/autoSign
  addBillBasicInformation: http://localhost:8888/bill/addBillBasicInformation
  updateBillBasicInformation: http://localhost:8888/bill/c_updateBill
  addSaleInvoice: http://localhost:8888/saleInvoice/doAdd
  updateSaleInvoice: http://localhost:8888/saleInvoice/c_doUpdate
  getExpectedSettlementDate: http://localhost:8888/bill/getExpectedSettlementDate
  twoSearchUrl: http://localhost:8868/saleInvoice/doAdd
  sixSearchUrl: http://localhost:8868/bill/getExpectedSettlementDate
  acceptanceStartProcessUrl: http://localhost:8888/api/acceptance/addAcceptance
  acceptanceUpdateDetailHandleProcessUrl: http://localhost:8888/api/acceptance/updateDetailHandleProcess
  acceptanceSignHandleProcessUrl: http://localhost:8888/api/acceptance/handleProcess
  acceptanceAdjustStartProcessUrl: http://localhost:8888/api/acceptancePriceAdjust/startProcess
  acceptanceAdjustHandleProcessUrl: http://localhost:8888/api/acceptancePriceAdjust/handleProcess
  salesContractCreateUrl: http://localhost:8888/api/salesManagement/doCreate
  salesContractEnterUrl: http://localhost:8888/api/salesManagement/doEnter

  financingApplyUrl: http://localhost:8888/api/financing/startApply
  salesContractChangeAddUrl: http://localhost:8888/api/salesManagement/doChange
  salesContractChangeEnterUrl: http://localhost:8888/api/salesManagement/change/doEnter



